KABC::LockNull Class Reference

`#include <locknull.h>`

Inheritance diagram for KABC::LockNull:

## Public Member Functions

| LockNull (bool allowAccess)
bool | lock ()
bool | unlock ()
QString | error () const
Public Member Functions inherited from KABC::Lock
| Lock (const QString &identifier)
| ~Lock ()
QString | lockFileName () const

## Additional Inherited Members

Signals inherited from KABC::Lock
void | locked ()
void | unlocked ()
Static Public Member Functions inherited from KABC::Lock
static bool | readLockFile (const QString &filename, int &pid, QString &app)
static bool | writeLockFile (const QString &filename)
static QString | locksDir ()

## Detailed Description

This class provides a lock without actually locking.

It can be constructed in two ways: One that let all locks succeed and one that let all locks fail.

Definition at line 34 of file locknull.h.

## Member Function Documentation

bool LockNull::lock | ( |  | ) |

virtual

Lock resource.

Reimplemented from KABC::Lock.

Definition at line 39 of file locknull.cpp.

bool LockNull::unlock | ( |  | ) |

virtual

Unlock resource.

Reimplemented from KABC::Lock.

Definition at line 51 of file locknull.cpp.

The documentation for this class was generated from the following files:

- locknull.h
- locknull.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys